# FILE: compiler.mak            Copyright (c), Symmetric Research, 2006
#
# MSDOS version:
#
# This makefile snippet sets up compiler related defines in one place.
# It is used by all the other makefiles in the parxch subdirectories.
#
# Requires: PARXCH
#           PARGPS
#
# Defines:  SROS
#           SRDEFS
#           SRLIBEXTRA
#           PARXCHSRC
#           PARXCHLIB
#           HELPERLIB
#           DATLIB
#           PARGPSLIB
#           DATINC
#
#           CCPATH
#           RCPATH
#           IDEPATH
#           SDKPATH
#
#           VSDEFS
#           CC
#           CFLAGS
#           RC
#           RFLAGS
#           LINK
#           LFLAGS
#           LIBRARIAN
#           VBC
#




# Set up SR specific defines.
# Use the DOS version of the SR code.
# Allow any PARxCH model.

SROS       = SROS_MSDOS
SRDEFS     = /D$(SROS) /DSRA2D_PARANY
SRLIBEXTRA = $(PARXCH)\driver\parxchkd.obj



# Set up SR specific libraries.

PARXCHLIB  = $(PARXCH)\lib\parxch.c
HELPERLIB  = $(PARXCH)\lib\srhelper.c
DATLIB     = $(PARXCH)\lib\srdat.c
PARGPSLIB  = $(PARGPS)\lib\pargps.c

DATINC     = $(PARXCH)\include\srdat.h


# Identify the main Visual C++ 1.52 directories.

CCPATH     = \msvc
RCPATH     = 
IDEPATH    = 
SDKPATH    = 



# Set global include and lib environment variables

INCLUDE    = $(CCPATH)\INCLUDE;$(PARXCH)\INCLUDE
LIB        = $(CCPATH)\LIB;$(PARXCH)\LIB



# Visual Studio defines not available for DOS.

VSDEFS     = 



# Specify the compiler and the options to use with it.
#   /W3  warning level 3
#   /WX  treats warnings as errors
#   /MT  for multi-threaded
#   /Zi  for debugging
#   /Fd  for debugging PDB

CC         = $(CCPATH)\bin\cl.exe
CFLAGS     = $(VSDEFS) $(SRDEFS) /W3 /WX


# Resource compiler not available for DOS.

RC         = 
RFLAGS     = 


# Specify linker and the options to use with it.

LINK       = $(CCPATH)\bin\link.exe
LFLAGS     = 


# Specify librarian.

LIBRARIAN  = $(CCPATH)\bin\lib.exe


# Visual Basic compile tool not available for DOS.

VBC       = 

