@echo off

rem FILE: makeall.bat           Copyright (c), Symmetric Research, 2003-2007
rem
rem This batch file does a complete build of the SR PARxCH software.  See
rem the makeall.rpt report file when done for any errors.  Note that you 
rem must have the Microsoft C++ 1.52 compiler installed for this file to
rem run correctly.
rem
rem

rem GPS functionality is not available building the PARxCH software
rem under DOS, so must set the following environment variable to "No".
rem
rem

set GPS_YES_OR_NO="No"


echo Building SR PARxCH DOS software ... see makeall.rpt for errors ...
echo.

echo SR PARxCH DOS build report ... > MAKEALL.RPT


cd driver
echo Compiling driver ...
nmake /a USE_GPS=%GPS_YES_OR_NO%                >> ..\MAKEALL.RPT
if errorlevel 1 goto error1

cd ..\lib
echo Compiling lib ...
nmake /a USE_GPS=%GPS_YES_OR_NO%                >> ..\MAKEALL.RPT
if errorlevel 1 goto error1

cd ..\diags
echo Compiling diags ...
nmake /a USE_GPS=%GPS_YES_OR_NO%                >> ..\MAKEALL.RPT
if errorlevel 1 goto error1

cd ..\digio
echo Compiling digio ...
nmake /a USE_GPS=%GPS_YES_OR_NO%                >> ..\MAKEALL.RPT
if errorlevel 1 goto error1

cd ..\examples
echo Compiling examples ...
nmake /a USE_GPS=%GPS_YES_OR_NO%                >> ..\MAKEALL.RPT
if errorlevel 1 goto error1

cd ..\meter
echo Compiling meter ...
nmake /a USE_GPS=%GPS_YES_OR_NO%                >> ..\MAKEALL.RPT
if errorlevel 1 goto error1

cd ..\simple
echo Compiling simple ...
nmake /a USE_GPS=%GPS_YES_OR_NO%                >> ..\MAKEALL.RPT
if errorlevel 1 goto error1

cd ..\convert\ascii
echo Compiling convert\ascii ...
nmake /a USE_GPS=%GPS_YES_OR_NO%                >> ..\..\MAKEALL.RPT
if errorlevel 1 goto error2

cd ..\..\convert\suds
echo Compiling convert\suds ...
nmake /a                                        >> ..\..\MAKEALL.RPT
if errorlevel 1 goto error2

cd ..\..

goto return







rem Return:
rem
rem

:error2
cd ..

:error1
cd ..

echo An error occurred, see the makeall.rpt report file ...

:return

set GPS_YES_OR_NO=

@echo on
